package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisHiddRecRepMapper;
import com.goldenwater.slaj.hidd.domain.BisHiddRecRep;
import com.goldenwater.slaj.hidd.service.IBisHiddRecRepService;

/**
 * 隐患记录上报 服务层实现
 */
@Service
public class BisHiddRecRepServiceImpl implements IBisHiddRecRepService {

    @Autowired
    private BisHiddRecRepMapper bisHiddRecRepMapper;

    /**
     * 查询隐患记录上报信息
     * @param guid 查询条件
     * @return 隐患记录上报信息
     */
    @Override
    public BisHiddRecRep selectBisHiddRecRepByGuid(String guid) {
        return bisHiddRecRepMapper.selectBisHiddRecRepByGuid(guid);
    }

    /**
     * 查询隐患记录上报列表
     * @param bisHiddRecRep 隐患记录上报查询条件
     * @return 隐患记录上报集合
     */
    @Override
    public List<BisHiddRecRep> selectBisHiddRecRepList(BisHiddRecRep bisHiddRecRep) {
        return bisHiddRecRepMapper.selectBisHiddRecRepList(bisHiddRecRep);
    }

    /**
     * 新增隐患记录上报
     * @param bisHiddRecRep 隐患记录上报信息
     * @return 影响行数
     */
    @Override
    public int insertBisHiddRecRep(BisHiddRecRep bisHiddRecRep) {
        return bisHiddRecRepMapper.insertBisHiddRecRep(bisHiddRecRep);
    }

    /**
     * 修改隐患记录上报
     * @param bisHiddRecRep 隐患记录上报信息
     * @return 影响行数
     */
    @Override
    public int updateBisHiddRecRep(BisHiddRecRep bisHiddRecRep) {
        return bisHiddRecRepMapper.updateBisHiddRecRep(bisHiddRecRep);
    }

    /**
     * 删除隐患记录上报
     * @param guid 隐患记录上报主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddRecRepByGuid(String guid) {
        return bisHiddRecRepMapper.deleteBisHiddRecRepByGuid(guid);
    }

    /**
     * 批量删除隐患记录上报
     * @param guids 隐患记录上报主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddRecRepByGuids(String[] guids) {
        return bisHiddRecRepMapper.deleteBisHiddRecRepByGuids(guids);
    }
}
